
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */


function verificaTelefone(s)
{
   codigo=document.getElementById(s).value;
   if (codigo.length == 0)
      return;
   if (codigo.length != 14)
   {
     alert('Obrigatorio o ddd');
     o=document.getElementById(s);
     setTimeout("o.focus()", 250);
     return false
   }
   codigoLimpo=codigo.substr(1,2)+codigo.substr(5,4)+codigo.substr(10,4);
   if (!isNumericVar(codigoLimpo))
   {
     alert('Telefone Celular Nao Numerico');
     o=document.getElementById(s);
     setTimeout("o.focus()", 250);
     return false
   }
}

function verificaCelular(s)
{
   codigo=document.getElementById(s).value;
   if (codigo.length == 0)
      return;
   if (codigo.length != 14)
   {
     alert('Obrigatorio o ddd');
     o=document.getElementById(s);
     setTimeout("o.focus()", 250);
     return false
   }
   codigoLimpo=codigo.substr(1,2)+codigo.substr(5,4)+codigo.substr(10,4);
   if (!isNumericVar(codigoLimpo))
   {
     alert('Telefone Celular Nao Numerico');
     o=document.getElementById(s);
     setTimeout("o.focus()", 250);
     return false
   }
   if (codigo.substr(5,1) != '7' &&
       codigo.substr(5,1) != '8' &&
       codigo.substr(5,1) != '9')
   {
     alert('Telefone celular tem que iniciar com 7, 8 ou 9');
     o=document.getElementById(s);
     setTimeout("o.focus()", 250);
     return false
   }
}

function existeMae()
{
   if (document.getElementById('form_maedesconhecida').checked)
	{
	   document.getElementById('form_nomemae').value='';
		document.getElementById('form_nomemae').disabled=true;
   }
	else 
		document.getElementById('form_nomemae').disabled=false;
}


function verificaMae(s)
{  
   isAlfabetic(s);
   if (document.getElementById('form_nomemae').value == '')
	{
	   document.getElementById('form_maedesconhecida').checked=true;
		document.getElementById('form_nomemae').disabled=true;
	}
	else
	   document.getElementById('form_maedesconhecida').checked=false;
}

function isValidaCnh(s)
{
   codigo=document.getElementById(s).value;
   if(isNumeric(s) == false)
   {
      return false;
   }
   if(codigo.length > 11)
   {
      return false;
   }
   if (codigo.length < 11)
   {
      numZeros=11-codigo.length;
      for (i=numZeros; i > 0; i--)
      {
         codigo='0'+codigo;
      }
   }
   if (codigo == '00000000000' ||
	   codigo == '11111111111' ||
	   codigo == '22222222222' ||
	   codigo == '33333333333' ||
	   codigo == '44444444444' ||
	   codigo == '55555555555' ||
	   codigo == '66666666666' ||
	   codigo == '77777777777' ||
	   codigo == '88888888888' ||
	   codigo == '99999999999')
   {
		return false;
   }
   soma = 0;
   for(i=0; i<9; ++i)
      soma += codigo[i]*(9-i);
   dv1 = soma % 11;
   incr_dig2 = dv1 == 10 ? -2 : 0;
   if(dv1 >= 10)
      dv1 = 0;
   if(dv1 != codigo[9])
   {
      return false;
   }
   soma = 0;
   for(i=0; i<9; ++i)
      soma += codigo[i]*(i+1);
   dv2 = soma % 11;
   if(dv2 + incr_dig2 < 0)
      dv2 += 11 + incr_dig2;
   else
      dv2 += incr_dig2;
   if(dv2 >= 10)
      dv2 = 0;
   if(dv2 == codigo[10])
   {
      return true;
   }
   return false;
}

function isValidoPgu(s)
{
   codigo=document.getElementById(s).value;
   if (codigo == 0)
   {
      return false;
   }
   if(isNumeric(s) == false)
   {
      return false;
   }
   if(codigo.length > 9)
   {
      return false;
   }
   if (codigo.length < 9)
   {
      numZeros=9-codigo.length;
      for (i=numZeros; i > 0; i--)
      {
         codigo='0'+codigo;
      }
   }
   if (codigo == '000000000' ||
	   codigo == '111111111' ||
	   codigo == '222222222' ||
	   codigo == '333333333' ||
	   codigo == '444444444' ||
	   codigo == '555555555' ||
	   codigo == '666666666' ||
	   codigo == '777777777' ||
	   codigo == '888888888' ||
	   codigo == '999999999')
   {
		return false;
   }
   soma = 0;
   for(i=0; i<8; ++i)
      soma += codigo[i]*(2+i);
   dv = soma % 11;
   if(dv > 9)
      dv = 0;
   if (dv == codigo[8])
   {
      return true;
   }
   return false;
}

function validacnh(s)
{
   if (document.getElementById(s).value == '')
   {
      document.getElementsByName('form_temCartMotorista')[1].checked=true;
      return;
   }
   if (!isValidaCnh(s) && !isValidoPgu(s))
   {
      alert('CNH invalido');
      o=document.getElementById(s);
//    document.getElementById(s).value='';
//    document.getElementById(s).focus();
      setTimeout("o.focus()",250);
   }
}

function validaNumeroLogradouro(s)
{
   if (isNumeric(s) == false)
   {
      o=document.getElementById(s);
      setTimeout("o.focus()",250);
      return;
   }
}


function isValidoCpf(codigo)
{
//   codigo=document.getElementById(s).value;
   if(isNumericVar(codigo) == false)
   {
      return false;
   }
   if(codigo.length > 11)
   {
      return false;
   }
   if (codigo.length < 11)
   {
      numZeros=11-codigo.length;
      for (i=numZeros; i > 0; i--)
      {
         codigo='0'+codigo;
      }
   }
   if (codigo == '00000000000' ||
	   codigo == '11111111111' ||
	   codigo == '22222222222' ||
	   codigo == '33333333333' ||
	   codigo == '44444444444' ||
	   codigo == '55555555555' ||
	   codigo == '66666666666' ||
	   codigo == '77777777777' ||
	   codigo == '88888888888' ||
	   codigo == '99999999999')
   {
		return false;
   }
   soma = 0;
   for(i=0; i<9; ++i)
      soma += codigo[i] * (10-i);
   dv = 11 - soma % 11;
   if(dv >= 10)
      dv = 0;
   if(dv != codigo[9])
      return false;
   soma = 2*dv;
   for (i=0; i<9; ++i)
      soma += codigo[i] * (11-i);
   dv = 11 - soma % 11;
   if (dv >= 10)
      dv = 0;
   if (dv != codigo[10])
      return false;
   return true;
}

function validaCpf(s)
{

   cpf=document.getElementById(s).value;
   if (cpf.length == 0)
   {
      document.getElementsByName('form_temCPF')[1].checked=true;
      return;
   }

   if (cpf.length == 14)
      cpfpuro=cpf.substr(0,3)+cpf.substr(4,3)+cpf.substr(8,3)+cpf.substr(12,2);
   else
      cpfpuro = cpf;

   if (cpfpuro.length != 11)
   {
      alert('CPF deve conter 11 digitos');
      o=document.getElementById(s);
      setTimeout("o.focus()",250);
      return;
   }

   if (!isValidoCpf(cpfpuro))
   {
     alert('CPF invalido');
     o=document.getElementById(s);
     setTimeout("o.focus()",250);
     return;
   }
//   document.getElementById(s).value=cpf;
     document.getElementById(s).value=cpfpuro.substr(0,3)+'.'+cpfpuro.substr(3,3)+'.'+cpfpuro.substr(6,3)+'-'+cpfpuro.substr(9,2);
}

function isValidoCadSus(s)
{
    codigo=document.getElementById(s).value;
	if(codigo.length != 15)
		return false;

	if(isNaN(Number(codigo)))
	   return false;

	// definitivo?

	if (codigo.charAt(0) != '8' && codigo.charAt(0) != '9')
	{
		// O nA~^(o)mero A~ formado a partir do nA~^(o)mero do PIS
		var pis = codigo.substr(0,11);
		var soma = 0;
		for(var i=0; i<11; ++i)
			soma += Number(pis.charAt(i)) * (15-i);

		var dv = 11 - soma % 11;
		if(dv == 11)
			dv = 0;

		if(dv == 10)
		{
			soma += 2;
			dv = 11 - soma % 11;
			resultado = pis + "001" + dv;
		}
		else
			resultado = pis + "000" + dv;

		if(codigo != resultado)
			return false;
	}

	// provisorio?

	else
	{
		var soma = 0;
		for(var i=0; i<15; ++i)
			soma += Number(codigo.charAt(i)) * (15-i);

		dv = soma % 11;
		if (dv != 0)
			return false;
	}

	return true;
}


function validaCadSus(s)
{
   if (document.getElementById(s).value == '')
   {
      document.getElementsByName('form_temCartaoSus')[1].checked=true;
      return;
   }
   if(!isValidoCadSus(s))
   {
     alert('Cartao Sus invalido');
     o=document.getElementById(s);
//   document.getElementById(s).value='';
//   document.getElementById(s).focus();
     setTimeout("o.focus()",250);
   }
}



function inibe1(val)
{
    o1=document.getElementsByName('form_estudausuario');
    o2=document.getElementsByName('form_turnoestudousuario');
    o3=document.getElementsByName('form_escolaridadeusuario');

    if (val=='N')
    {
      o2[0].disabled=true;
      o2[1].disabled=true;
      o2[2].disabled=true;
      o3[0].disabled=true;
      o3[1].disabled=true;
      o3[2].disabled=true;
      o3[3].disabled=true;
      o3[4].disabled=true;
    }
    else
    {
      o2[0].disabled=false;
      o2[1].disabled=false;
      o2[2].disabled=false;
      o3[0].disabled=false;
      o3[1].disabled=false;
      o3[2].disabled=false;
      o3[3].disabled=false;
      o3[4].disabled=false;
    }
}

function inibe2(val)
{
   o1=document.getElementsByName('form_trabalhousuario');
   o2=document.getElementsByName('form_tipotrabalhousuario');
   if (val=='2' || val=='3')
   {
      o2[0].disabled=true;
      o2[1].disabled=true;
      o2[2].disabled=true;
      o2[3].disabled=true;
      o2[4].disabled=true;
      o2[5].disabled=true;
   }
   if (val=='1')
   {
      o2[0].disabled=false;
      o2[1].disabled=false;
      o2[2].disabled=false;
      o2[3].disabled=false;
      o2[4].disabled=false;
      o2[5].disabled=false;
   }
}

function habilitalazer()
{
   o1=document.getElementsByName('form_horalazerusuario[]');
   o2=document.getElementById('form_outrolazer');

   if (o1[11].checked)
   {
       o2.readOnly=false;
   }
   else
   {
       o2.value='';
       o2.readOnly=true;
   }

}


function habilitaOutroLocalLazer()
{
   o1=document.getElementsByName('form_locallazer18');
   o2=document.getElementById('form_outrolocallazer');

   if (o1[0].checked || o1[1].checked)
   {
       o2.readOnly=false;
   }
   else
   {
       o2.value='';
       o2.readOnly=true;
   }

}


function deletaRegistro(u, p)
{
   if (confirm('Tem certeza que quer excluir o registro ?'))
   {
      window.location='excluiRegistro.php?usuario='+u+'&'+p;
   }
}

function inibe3 (acao,reacao,cartaosus,nis,cpf,rg,ctps,titulo,pis,certidao,cnh,administra)
{

/*
   if (document.getElementById('form_logradouroGeoiguacuUsuario').value != '')
   {
     document.getElementById('form_logradouroNomeUsuario').readOnly = true;
     document.getElementById('form_logradouroNumeroUsuario').readOnly = true;
     document.getElementById('form_logradouroComplementoUsuario').readOnly = true;
     document.getElementById('form_logradouroBairroUsuario').readOnly= true;
     document.getElementById('form_logradouroCepUsuario').readOnly = true;
     document.getElementById('form_logradouroTipoUsuario').readOnly = true;
     document.getElementById('form_logradouroUfUsuario').readOnly = true;
     document.getElementById('form_logradouroCidadeUsuario').readOnly = true;
  }
*/

  if (document.getElementById('form_nomemae').value == '')
      document.getElementById('form_maedesconhecida').checked = true;
  else
      document.getElementById('form_maedesconhecida').checked = false;

  if (document.getElementById('form_logradouroNaoCadastrado').checked==true)
      document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;


  if (document.getElementById('form_nacionalidadeusuario').value != '1')
  {
     document.getElementById('form_ufNascimentoUsuario').style.display='none';
     document.getElementById('form_codigoMunicipioUsuario').style.display='none';
     document.getElementById('l_ufNascimentoUsuario').style.display='none';
     document.getElementById('l_municipioNascimentoUsuario').style.display='none';
  }

  if (acao == "consultar")
  {
//    a=document.InclusaoMatricula.elements.length;
//    alert(a);

      if (administra=='S')
         for (var i=2; i < 239; i++)
               document.InclusaoMatricula.elements[i].disabled = true;
      else 
         if (reacao == 'outra')
            for (var i=1; i<239; i++)
                document.InclusaoMatricula.elements[i].disabled = true;
         else
            for (var i=2; i < 240; i++)
                if (i != 3 && i != 4)
                   document.InclusaoMatricula.elements[i].disabled = true;

//      document.getElementById('form_codigolocal').disabled=false;
//      document.getElementById('form_codigousuario').disabled=false;

  }
  else
  {
     // inibe/desinibe cartao SUS

     if (cartaosus=="N")
     {

        document.getElementById('form_nrocadsususuario').disabled=true;
     }
     else
     {
        document.getElementById('form_nrocadsususuario').disabled=false;
     }

     // inibe/desinibe cpf

     if (cpf=="N")
     {

        document.getElementById('form_cpfusuario').disabled=true;
     }
     else
     {
        document.getElementById('form_cpfusuario').disabled=false;
     }

     // inibe/desinibe rg

     if (rg=="N")
     {
        document.getElementById('form_rgusuario').disabled=true;
        document.getElementById('form_rgusuarioestado').disabled=true;
        document.getElementById('form_rgusuariodataemissao').disabled=true;
        document.getElementById('form_rgusuarioorgaoemissor').disabled=true;
     }
     else
     {

        document.getElementById('form_rgusuario').disabled=false;
        document.getElementById('form_rgusuarioestado').disabled=false;
        document.getElementById('form_rgusuariodataemissao').disabled=false;
        document.getElementById('form_rgusuarioorgaoemissor').disabled=false;
     }

     // inibe/desinibe carteira de trabaho

     if (ctps=="N")
     {

        document.getElementById('form_carteiratrabusuario').disabled=true;
        document.getElementById('form_carteiratrabusuarioestado').disabled=true;
        document.getElementById('form_carteiratrabusuarioserie').disabled=true;
        document.getElementById('form_carteiratrabusuariodataemissao').value='';
        document.getElementById('form_carteiratrabusuariodataemissao').disabled=true;
     }
     else
     {

        document.getElementById('form_carteiratrabusuario').disabled=false;
        document.getElementById('form_carteiratrabusuarioestado').disabled=false;
        document.getElementById('form_carteiratrabusuarioserie').disabled=false;
        document.getElementById('form_carteiratrabusuariodataemissao').disabled=false;
     }

     // inibe/desinibe Carteira Motorista

     if (cnh=="N")
     {

        document.getElementById('form_cartmotoristausuario').disabled=true;
     }
     else
     {

        document.getElementById('form_cartmotoristausuario').disabled=false;
     }
    
	  if (reacao != 'retorno' && reacao != '')
     {
        for (var i=70; i < 240; i++)
        {
           if (i == 165 || i == 238)
               document.InclusaoMatricula.elements[i].value='';
           else
               document.InclusaoMatricula.elements[i].checked = false;
        }
     }     
  }
}


function nacionalidadepais()
{
   o1=document.getElementsByName('form_nacionalidadeusuario');
   o2=document.getElementById('form_codigopaisusuario');
   o3=document.getElementById('form_ufNascimentoUsuario');
   o4=document.getElementById('form_codigoMunicipioUsuario');
   o5=document.getElementById('l_ufNascimentoUsuario');
   o6=document.getElementById('l_municipioNascimentoUsuario');

   if (o1[0].checked == true)
   {
       o2.value = '10';
       o3.value=0;
       o4.value=0;
       o3.style.display = '';
       o4.style.display = '';
       o5.style.display = '';
       o6.style.display = '';
       o3.style.background = 'yellow';
       o4.style.background = 'yellow';
   }
   else
   {
       o3.value=0;
       o4.innerHTML=null;
       o3.style.display = 'none';
       o4.style.display = 'none';
       o5.style.display = 'none';
       o6.style.display = 'none';
       if (o2.value == '10')
       {
          alert('Especificar Pais de Nascimento');
          o2.style.background='yellow';
       }
   }
}


function paisnacionalidade()
{
   o1=document.getElementsByName('form_nacionalidadeusuario');
   o2=document.getElementById('form_codigopaisusuario');
   o3=document.getElementById('form_ufNascimentoUsuario');
   o4=document.getElementById('form_codigoMunicipioUsuario');
   o5=document.getElementById('l_ufNascimentoUsuario');
   o6=document.getElementById('l_municipioNascimentoUsuario');

   if (o2.value == '10')
   {
       o1[0].checked=true;

       o3.value=0;
       o4.value=0;

       o3.style.display = '';
       o4.style.display = '';
       o5.style.display = '';
       o6.style.display = '';
       o3.style.background = 'yellow';
       o4.style.background = 'yellow';
   }
   else
   {
       o1[2].checked=true;
       o3.value=0;
       o4.innerHTML=null;

       o3.style.display = 'none';
       o4.style.display = 'none';
       o5.style.display = 'none';
       o6.style.display = 'none';
       o2.style.background = 'white';
   }
}


function municipiochanged()
{
   o2=document.getElementById('form_codigopaisusuario');
   o3=document.getElementById('form_ufNascimentoUsuario');
   o4=document.getElementById('form_codigoMunicipioUsuario');
   o2.style.background='white';
   o3.style.background='white';
   o4.style.background='white';


}



